- List all companies
You can list companies. The company list is sorted by the last_request_at field and by default is ordered descending, most recently requested first.
Note that the API does not include companies who have no associated users in list responses.
When using the Companies endpoint and the pages object to iterate through the returned companies, there is a limit of 10,000 Companies that can be returned. If you need to list or iterate on more than 10,000 Companies, please use the Scroll API. Going past that limit returns a 400 error with code bad_request.
This endpoint pages by page number, not by cursor. Use the page and per_page query parameters, and the page, total_pages and next values in the pages object of the response. The default is 15 results per page. See the pagination section for more details.
Requires the write_users_companies OAuth scope. A token with only read scopes cannot call this endpoint.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/companies/list
- The european API serverhttps://api.eu.intercom.io/companies/list
- The australian API serverhttps://api.au.intercom.io/companies/list
curl -i -X POST \
'https://api.intercom.io/companies/list?page=1&per_page=15&order=desc' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
An array containing Company Objects.
{ "type": "list", "data": [ { … } ], "pages": { "type": "pages", "next": null, "page": 1, "per_page": 15, "total_pages": 1 }, "total_count": 1 }